%global momorel 3
%global pythonver 2.6.1-1m

%define python_sitelib %(%{__python} -c "from distutils import sysconfig; print sysconfig.get_python_lib()")
%define python_sitearch %(%{__python} -c 'from distutils import sysconfig; print sysconfig.get_python_lib(1)')

Summary: Tool to access devices via the OBEX protocol
Name: obexftp
Version: 0.23
Release: 0.%{momorel}m%{?dist}
License: GPLv2 and LGPL
URL: http://dev.zuckschwerdt.org/openobex/wiki/ObexFtp
Group: Applications/File
Source0: http://triq.net/%{name}/%{name}-%{version}-alpha.tar.bz2
Patch0: %{name}-norpath.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: bluez-libs-devel >= 4.0
BuildRequires: gettext-devel
BuildRequires: libtool
BuildRequires: libusb-devel
BuildRequires: openobex-devel
BuildRequires: perl-devel >= 5.10.0
BuildRequires: pkgconfig
BuildRequires: python-devel >= %{pythonver}
BuildRequires: ruby-devel >= 1.8.6-4m

%description
The overall goal of this project is to make mobile devices featuring the OBEX
protocol and adhering to the OBEX FTP standard accessible by an open source
implementation. The common usage for ObexFTP is to access your mobile phones
memory to store and retrieve e.g. your phonebook, logos, ringtones, music,
pictures and alike.

%package devel
Summary: Header files and libraries for obexftp
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: openobex-devel
Requires: pkgconfig

%description devel
This package contains the header files, static libraries and development
documentation for obexftp. If you like to develop programs using %{name},
you will need to install obexftp-devel.

%package -n perl-%{name}
Summary: Perl library to access devices via the OBEX protocol
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description -n perl-%{name}
The overall goal of this project is to make mobile devices featuring the OBEX
protocol and adhering to the OBEX FTP standard accessible by an open source
implementation. The common usage for ObexFTP is to access your mobile phones
memory to store and retrieve e.g. your phonebook, logos, ringtones, music,
pictures and alike.

%package -n python-%{name}
Summary: Python library to access devices via the OBEX protocol
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description -n python-%{name}
The overall goal of this project is to make mobile devices featuring the OBEX
protocol and adhering to the OBEX FTP standard accessible by an open source
implementation. The common usage for ObexFTP is to access your mobile phones
memory to store and retrieve e.g. your phonebook, logos, ringtones, music,
pictures and alike.

%package -n ruby-%{name}
Summary: Ruby library to access devices via the OBEX protocol
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description -n ruby-%{name}
The overall goal of this project is to make mobile devices featuring the OBEX
protocol and adhering to the OBEX FTP standard accessible by an open source
implementation. The common usage for ObexFTP is to access your mobile phones
memory to store and retrieve e.g. your phonebook, logos, ringtones, music,
pictures and alike.

%prep
%setup -q 

%patch0 -p1 -b .norpath

autoreconf -f -i

%build
%configure --disable-rpath
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALLDIRS="vendor"

# get rid of *.la files
find %{buildroot} -name "*.la" -delete

# fix permission
chmod 755 %{buildroot}%{perl_vendorarch}/*/OBEXFTP/OBEXFTP.so

# clean up
rm -f %{buildroot}%{perl_vendorarch}/*/OBEXFTP/{.packlist,OBEXFTP.bs}
rm -f %{buildroot}%{perl_archlib}/perllocal.pod

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING* ChangeLog NEWS README THANKS TODO
%{_bindir}/obexftp
%{_bindir}/obexftpd
%{_libdir}/*.so.*
%{_mandir}/man1/obexftp.1*
%{_mandir}/man1/obexftpd.1*

%files devel
%defattr(-,root,root)
%{_includedir}/bfb
%{_includedir}/multicobex
%{_includedir}/obexftp
%{_libdir}/pkgconfig/obexftp.pc
%{_libdir}/*.a
%{_libdir}/*.so

%files -n perl-%{name}
%defattr(-,root,root)
%{perl_vendorarch}/OBEXFTP.pm
%{perl_vendorarch}/*/OBEXFTP

%files -n python-%{name}
%defattr(-,root,root)
%{python_sitearch}/obexftp
%{python_sitearch}/obexftp-*.egg-info

%files -n ruby-%{name}
%defattr(-,root,root)
%{ruby_sitearchdir}/obexftp.so

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.23-0.3m)
- rebuild against rpm-4.6

* Wed Dec 31 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.23-0.2m)
- rebuild agaisst python-2.6.1-1m

* Sat Dec 20 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.23-0.1m)
- update 0.23 alpha

* Wed Apr 30 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.22-0.4.4m)
- restrict python ver-rel for egginfo

* Mon Apr 28 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.22-0.4.3m)
- add egg-info for new python

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.22-0.4.2m)
- rebuild against gcc43

* Mon Feb  4 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.22-0.4.1m)
- update to 0.22-rc7
- update norpath.patch
- remove perl.patch
- License: GPLv2 and LGPL

* Mon Feb  4 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.22-0.3.4m)
- rebuild against perl-5.10.0

* Wed Jun 20 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.22-0.3.3m)
- rebuild against ruby-1.8.6-4m

* Wed Jun 13 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.22-0.3.2m)
- BuildRequires: libusb-devel

* Tue Jun 12 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.22-0.3.1m)
- initial package for kdebluetooth 1.0 Beta 3
- import norpath.patch and perl.patch from Fedora
- Summary and %%description are imported from Fedora
